package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(data_change_log):
 */
public class DataChangeLog {

	/**  */
	private Long id;

	private Long dataId;
	
	/** 操作人编号 */
	private Integer operatorId;
	
	/** 变更信息 */
	private String changeInfo;
	
	/** 操作时间 */
	private java.util.Date createTime;
	
	/** 类型名称 */
	private String className;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Long getDataId() {
		return dataId;
	}

	public void setDataId(Long dataId) {
		this.dataId = dataId;
	}

	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setChangeInfo(String changeInfo){
		this.changeInfo = changeInfo;
	}
	
	public String getChangeInfo(){
		return this.changeInfo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setClassName(String className){
		this.className = className;
	}
	
	public String getClassName(){
		return this.className;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
